Create a transfer order
curl --request POST \
--url https://{companyName}.api.joinluminous.com/external/api/v1/transfer-orders \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"date": "2023-12-25",
"arrival_date": "2023-12-25",
"source_warehouse_id": 123,
"destination_warehouse_id": 123,
"status": "<string>",
"items": [
{
"quantity": 123,
"ordered_uom_id": 123,
"product_id": 123,
"lot_id": 123,
"lot_number": "<string>",
"lot_name": "<string>"
}
],
"items_cost": 123,
"shipping_cost": 123,
"shipping_method": "<string>"
}
'import requests
url = "https://{companyName}.api.joinluminous.com/external/api/v1/transfer-orders"
payload = {
"date": "2023-12-25",
"arrival_date": "2023-12-25",
"source_warehouse_id": 123,
"destination_warehouse_id": 123,
"status": "<string>",
"items": [
{
"quantity": 123,
"ordered_uom_id": 123,
"product_id": 123,
"lot_id": 123,
"lot_number": "<string>",
"lot_name": "<string>"
}
],
"items_cost": 123,
"shipping_cost": 123,
"shipping_method": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
date: '2023-12-25',
arrival_date: '2023-12-25',
source_warehouse_id: 123,
destination_warehouse_id: 123,
status: '<string>',
items: [
{
quantity: 123,
ordered_uom_id: 123,
product_id: 123,
lot_id: 123,
lot_number: '<string>',
lot_name: '<string>'
}
],
items_cost: 123,
shipping_cost: 123,
shipping_method: '<string>'
})
};
fetch('https://{companyName}.api.joinluminous.com/external/api/v1/transfer-orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 123,
"number": "<string>",
"date": "2023-12-25",
"arrival_date": "2023-12-25",
"items_cost": 123,
"shipping_cost": 123,
"shipping_method": "<string>",
"source_warehouse_id": 123,
"destination_warehouse_id": 123,
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Transfer Orders
Create a transfer order
Create a new transfer order
POST
/
transfer-orders
Create a transfer order
Authorizations
Authenticate using a bearer token. To create a token, navigate to /settings/api-tokens and click Create API Token.
Body
application/json
Date of the transfer order
Expected arrival date
ID of the source warehouse
ID of the destination warehouse
Status of the transfer order
Show child attributes
Show child attributes
Total cost of items
Shipping cost
Method of shipping
Response
Successful response
Show child attributes
Show child attributes
⌘I